Module org.hsqldb
Package org.hsqldb.lib

## Class AppendableException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.hsqldb.lib.AppendableException

- All Implemented Interfaces:
    `java.io.Serializable`

      public class AppendableException
      extends java.lang.Exception

  Allows additional messages to be appended. It often makes for better (and more efficient) design to add context details to an exception at intermediate points in the thread. This class makes it easy and efficient to catch and rethrow for that purpose.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `java.util.List<java.lang.String>` | `appendages` |
    `static java.lang.String` | `LS` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AppendableException()` |
    `AppendableException​(java.lang.String s)` |
    `AppendableException​(java.lang.String string, java.lang.Throwable cause)` |
    `AppendableException​(java.lang.Throwable cause)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `appendMessage​(java.lang.String s)` |
    `java.lang.String` | `getMessage()` |

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### LS

          public static final java.lang.String LS

    - #### appendages

          public java.util.List<java.lang.String> appendages

  - ### Constructor Detail

    - #### AppendableException

          public AppendableException()

    - #### AppendableException

          public AppendableException​(java.lang.String s)

    - #### AppendableException

          public AppendableException​(java.lang.Throwable cause)

    - #### AppendableException

          public AppendableException​(java.lang.String string,
                                     java.lang.Throwable cause)

  - ### Method Detail

    - #### getMessage

          public java.lang.String getMessage()

      Overrides:
        `getMessage` in class `java.lang.Throwable`

    - #### appendMessage

          public void appendMessage​(java.lang.String s)